CoCoA-5 - Feature #737

Elementary transcendental functions (sin, cos, tan, log, exp)

21 Jun 2015 21:12 - John Abbott

Status: In Progress

Priority: Low

Assignee:

Category: CoCoA-5 function: new

Target version: CoCoA-5.2.7?

Start date:

Due date:

% Done:
Estimated time:

Spent time:

21 Jun 2015

50%
0.00 hour
0.25 hour

Description

Martin Kreuzer says one of his students produced a C4 package for computing approximate values of transcendental functions. He

suggests that it could be cleaned up and released with CoCoA-5.

Related issues:
Related to CoCoA-5 - Support #767: Rename Log to exponents

Closed

03 Sep 2015

History

#1 - 21 Jun 2015 21:15 - John Abbott

- Priority changed from Normal to Low

JAA thinks it could occasionally be handy to have such functions available from inside CoCoA-5.

Martin gave little information about what exactly the package contains.

#2 - 30 Jan 2017 07:53 - Anna Maria Bigatti

| have a package myself called taylor.
Maybe | could show it to you and decide.

#3 - 08 Mar 2017 17:03 - Anna Maria Bigatti

I've checked it in (not documented).

/**/ DecimalStr( TaylorArcSin(0.123456789) , 10);
0.1237725724

/**/ DecimalStr ( TaylorSin(TaylorArcSin(0.123456789)) ,
0.1234567890

#4 - 20 Mar 2017 09:00 - Anna Maria Bigatti
- Status changed from New to In Progress

- % Done changed from 0 to 50

17 Apr 2024
